# Events

### Creating a callback based on an event

{% hint style="info" %}
Endpoint \[POST] [/System/Events](#nacteni-vsech-udalosti) on the API you can easily try.
{% endhint %}

{% hint style="success" %}
You can find more information about the endpoint and its parameters in our API documentation
{% endhint %}

### Load all events according to parameters

{% hint style="info" %}
Endpoint \[GET] [/System/Events](https://api.retailys.com/v1#/System.Events/getEvents) on the API you can easily try.
{% endhint %}

{% hint style="success" %}
You can find more information about the endpoint and its parameters in our API documentation
{% endhint %}

### Event-based callback adjustment

{% hint style="info" %}
Endpoint \[PUT] [/System/Events](https://api.retailys.com/v1#/System.Events/putEvents) on the API you can easily try.
{% endhint %}

{% hint style="success" %}
You can find more information about the endpoint and its parameters in our API documentation
{% endhint %}

### Load a specific event

{% hint style="info" %}
Endpoint \[GET] [/System/Events/{id}](https://api.retailys.com/v1#/System.Events/getEvent) on the API you can easily try.
{% endhint %}

{% hint style="success" %}
You can find more information about the endpoint and its parameters in our API documentation
{% endhint %}

### Delete a specific event

{% hint style="info" %}
Endpoint \[DELETE] [/System/Events/{id}](https://api.retailys.com/v1#/System.Events/deleteEvent) on the API you can easily try.
{% endhint %}

{% hint style="success" %}
You can find more information about the endpoint and its parameters in our API documentation
{% endhint %}

## Acceptable events

<table><thead><tr><th>Event</th><th>Variables for parameters</th><th data-hidden></th></tr></thead><tbody><tr><td><strong>article-change-availability</strong></td><td><ul><li><strong>%articleId%</strong> - article ID</li><li><strong>%channelId%</strong> - channel ID</li></ul></td><td></td></tr><tr><td><strong>order-new</strong></td><td><ul><li><strong>%orderId%</strong> - order ID</li><li><strong>%channelId%</strong> - channel ID</li></ul></td><td></td></tr><tr><td><strong>order-change-status</strong></td><td><ul><li><strong>%orderId%</strong> - order ID</li><li><strong>%statusId%</strong> - order status ID</li><li><strong>%channelId%</strong> - channel ID</li></ul></td><td></td></tr><tr><td><strong>user-registred</strong></td><td><ul><li><strong>%userId%</strong> - user ID</li><li><strong>%login%</strong> - user login</li><li><strong>%link%</strong> - activation link</li><li><strong>%channelId%</strong> - channel ID</li></ul></td><td></td></tr><tr><td><strong>user-registration-confirmed</strong></td><td><ul><li><strong>%userId%</strong> - user ID</li><li><strong>%login%</strong> - user login</li><li><strong>%channelId%</strong> - channel ID</li></ul></td><td></td></tr><tr><td><strong>user-reset-password</strong></td><td><ul><li><strong>%userId%</strong> - user ID</li><li><strong>%login%</strong> - user login</li><li><strong>%link%</strong> - reset password link</li><li><strong>%channelId%</strong> - channel ID</li></ul></td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.retailys.com/rest-api/events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
